grplot: lazy statistical data visualization
=======================================

grplot is a Python visualization library based on numpy, scipy, matplotlib, seaborn, squarify, and pandas. It supports human laziness in drawing complete and attractive statistical graphs in just one line of code.


Documentation
-------------

Documentation at [grplot repository](https://github.com/ghiffaryr/grplot) includes a [Full_Documentation.ipynb](https://github.com/ghiffaryr/grplot/blob/main/doc/Full_Documentation.ipynb) and other useful information.

The Full_Documentation.ipynb can be read online using [Google Colaboratory](https://colab.research.google.com/drive/1jkOoWooJgrr9xgEF6KWyNi56_Naqum_g).


Dependencies
------------

grplot supports Python 3.6+.

Installation requires [numpy](https://numpy.org), [scipy](https://www.scipy.org), [matplotlib](https://matplotlib.org), [seaborn](https://seaborn.pydata.org), and [pandas](https://pandas.pydata.org). Some functions will optionally use [statsmodels](https://www.statsmodels.org) if it is installed.


Installation
------------

The latest stable release (and required dependencies) can be installed from PyPI:

    pip install grplot


Development
-----------

grplot development takes place on Github: https://github.com/ghiffaryr/grplot/tree/dev

Please submit bugs that you encounter to the [issue tracker](https://github.com/ghiffaryr/grplot/issues) with a reproducible example demonstrating the problem.

